<div class="container pt-2">
  <div class="pb-3">
    <h2>{{ 'components.users.title' | translate }}</h2>
  </div>

  <div class="row">
    <div class="col-md-12 scroll-x">
      <table class="table table-hover">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">{{ 'components.users.row.name' | translate }}</th>
            <th scope="col">{{ 'components.users.row.email' | translate }}</th>
            <th scope="col">{{ 'components.users.row.rol' | translate }}</th>
            <th scope="col">{{ 'components.users.row.actions' | translate }}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let user of users; let i = index">
            <th scope="row">{{ i + 1 }}</th>
            <td>
              <p>{{ user.name }} {{ user.last_name }}</p>
            </td>
            <td>{{ user.email }}</td>
            <!-- <td *ngFor="let item of items">{{ user.rol.}}</td> -->
            <td>
              <div *ngFor="let rol of rols">
                <span class="badge badge-default"
                  *ngIf="rol.id == user.rol.id && rol.id == 1">{{ 'components.users.rol.administrator' | translate }}</span>
                <span class="badge badge-info" *ngIf="rol.id == user.rol.id && rol.id == 2">
                  {{ 'components.users.rol.teacher' | translate }}</span>
                <span class="badge badge-success" *ngIf="rol.id == user.rol.id && rol.id == 3">
                  {{ 'components.users.rol.student' | translate }}</span>
              </div>
            </td>
            <td>
              <a href="" data-toggle="tooltip" data-placement="top"
                title="{{ 'components.users.actions.edit' | translate }}">
                <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
              </a>
              <a href="#" data-toggle="tooltip" data-placement="top"
                title="{{ 'components.users.actions.disable' | translate }}">
                <i class="fa fa-unlock-alt" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
